=== debian/changelog ===
ros-noetic-moveit-ros-planning-interface (1.1.11-1buster) buster; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.10-1buster) buster; urgency=high

  * Limit Cartesian speed for link(s) (#2856 <https://github.com/ros-planning/moveit/issues/2856>)
  * Generalize computeCartesianPath() to consider a link_offset (#3197 <https://github.com/ros-planning/moveit/issues/3197>)
  * Validate JointState argument to moveit_commander.set_joint_value_target (#3187 <https://github.com/ros-planning/moveit/issues/3187>)
  * Add dual arm test (#3119 <https://github.com/ros-planning/moveit/issues/3119>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Replace obsolete distutils.core with setuptools (#3103 <https://github.com/ros-planning/moveit/issues/3103>)
  * Contributors: Filip Sund, Michael Görner, Robert Haschke, Stephanie Eng, cambel, v4hn

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.9-1buster) buster; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.8-1buster) buster; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.7-1buster) buster; urgency=high

  * Move ``MoveItErrorCode`` class to ``moveit_core`` (#3009 <https://github.com/ros-planning/moveit/issues/3009>)
  * Fix uninitialized ``RobotState`` in ``MoveGroupInterface`` (#3008 <https://github.com/ros-planning/moveit/issues/3008>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Captain Yoshi, Jafar Abdi, Jochen Sprickerhof

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.6-1buster) buster; urgency=high

  * Use test_environment.launch in unittests (#2949 <https://github.com/ros-planning/moveit/issues/2949>)
  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Add missing replan/look options to interface (#2892 <https://github.com/ros-planning/moveit/issues/2892>)
  * PSI: get object.pose from new msg field (#2877 <https://github.com/ros-planning/moveit/issues/2877>)
  * Introduce a reference frame for collision objects (#2037 <https://github.com/ros-planning/moveit/issues/2037>)
  * Fix trajectory constraints for ``moveit_commander`` (#2429 <https://github.com/ros-planning/moveit/issues/2429>)
  * ``MGI::setStartState``: Only fetch current state when new state is diff (#2775 <https://github.com/ros-planning/moveit/issues/2775>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Felix von Drigalski, Gauthier Hentz, Kevin Chang, Michael Görner, Robert Haschke, pvanlaar

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 05 Nov 2021 23:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.5-1buster) buster; urgency=high

  * Allow selecting planning pipeline in MotionSequenceAction (#2657 <https://github.com/ros-planning/moveit/issues/2657>)
  * Contributors: Felix von Drigalski

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 22 May 2021 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.4-1buster) buster; urgency=high

  * planning_interface: synchronize async interfaces in unit tests (#2640 <https://github.com/ros-planning/moveit/issues/2640>)
  * Contributors: Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.3-1buster) buster; urgency=high

  * Add planning_pipeline_id setting to Python MGI (#2622 <https://github.com/ros-planning/moveit/issues/2622>)
  * Fix docstring in MGI API (#2626 <https://github.com/ros-planning/moveit/issues/2626>)
  * Contributors: Felix von Drigalski, Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 28 Apr 2021 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.2-1buster) buster; urgency=high

  * Fix formatting errors
  * Support multiple planning pipelines with MoveGroup via MoveItCpp (#2127 <https://github.com/ros-planning/moveit/issues/2127>)
  * Move moveit_cpp to moveit_ros_planning
  * Add get_active_joint_names (#2533 <https://github.com/ros-planning/moveit/issues/2533>)
  * Add debugging log statement for a common error (#2509 <https://github.com/ros-planning/moveit/issues/2509>)
  * Replaced eigen+kdl conversions with tf2_eigen + tf2_kdl (#2472 <https://github.com/ros-planning/moveit/issues/2472>)
  * Improve robustness of subframes test (#2488 <https://github.com/ros-planning/moveit/issues/2488>)
  * Improve robustness of move group interface test (#2484 <https://github.com/ros-planning/moveit/issues/2484>)
  * Fix scaling factor parameter names (#2452 <https://github.com/ros-planning/moveit/issues/2452>)
  * Python interface improvements. Fix #1966 <https://github.com/ros-planning/moveit/issues/1966>, add enforceBounds (#2356 <https://github.com/ros-planning/moveit/issues/2356>)
  * Unit Test for ByteString-based ROS msg conversion (#2362 <https://github.com/ros-planning/moveit/issues/2362>)
  * Contributors: Bjar Ne, Boston Cleek, Henning Kayser, Peter Mitrano, Shota Aoki, Tyler Weaver, petkovich

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 07 Apr 2021 22:00:00 -0000

ros-noetic-moveit-ros-planning-interface (1.1.1-1buster) buster; urgency=high

  * [feature] moveit_cpp: more informative error message, cover another potential failure condition. (#2336 <https://github.com/ros-planning/moveit/issues/2336>)
  * [fix] Make GILReleaser exception-safe (#2363 <https://github.com/ros-planning/moveit/issues/2363>)

