=== debian/control ===
Source: ros-noetic-moveit-ros-planning-interface
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, python3-catkin-pkg, python3-dev, ros-noetic-actionlib, ros-noetic-catkin, ros-noetic-eigenpy, ros-noetic-geometry-msgs, ros-noetic-moveit-msgs, ros-noetic-moveit-resources-fanuc-moveit-config <!nocheck>, ros-noetic-moveit-resources-panda-moveit-config <!nocheck>, ros-noetic-moveit-ros-manipulation, ros-noetic-moveit-ros-move-group, ros-noetic-moveit-ros-planning, ros-noetic-moveit-ros-warehouse, ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-rostest <!nocheck>, ros-noetic-tf2, ros-noetic-tf2-eigen, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-noetic-moveit-ros-planning-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dev, ros-noetic-actionlib, ros-noetic-eigenpy, ros-noetic-geometry-msgs, ros-noetic-moveit-msgs, ros-noetic-moveit-ros-manipulation, ros-noetic-moveit-ros-move-group, ros-noetic-moveit-ros-planning, ros-noetic-moveit-ros-warehouse, ros-noetic-rosconsole, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-tf2, ros-noetic-tf2-eigen, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros
Description: Components of MoveIt that offer simpler interfaces to planning and execution
